ru.bitel.bgbilling.modules.inet.api.server.event

## Class InetAccountingPeriodActivateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.inet.api.server.event.InetAccountingPeriodActivateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetAccountingPeriodActivateEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetAccountingPeriodActivateEvent()`
    `` | `InetAccountingPeriodActivateEvent(int moduleId, int contractId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAccountingPeriod` | `getAccountingPeriod()`
    `boolean` | `isProcessed()`
    `boolean` | `isUseSeconds()`
    `void` | `setAccountingPeriod(InetAccountingPeriod accountingPeriod)`
    `void` | `setProcessed(boolean processed)`
    `void` | `setUseSeconds(boolean useSeconds)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAccountingPeriodActivateEvent

          protected InetAccountingPeriodActivateEvent()

    - #### InetAccountingPeriodActivateEvent

          public InetAccountingPeriodActivateEvent(int moduleId,
                                                   int contractId,
                                                   int userId)

  - ### Method Detail

    - #### getAccountingPeriod

          public InetAccountingPeriod getAccountingPeriod()

    - #### setAccountingPeriod

          public void setAccountingPeriod(InetAccountingPeriod accountingPeriod)

    - #### isProcessed

          public boolean isProcessed()

    - #### setProcessed

          public void setProcessed(boolean processed)

    - #### isUseSeconds

          public boolean isUseSeconds()

    - #### setUseSeconds

          public void setUseSeconds(boolean useSeconds)